#include<iostream>
using namespace std;
int main(){
    int n;
    cin>>n;
    char s[n];
    for(int i=0;i<n;i++){
        cin>>s[i];
    }
    if(n<=26)
        cout<<"0";
    else if(n==27){
        int j=1;
        char p='A';
        for(int i=0;i<n;i++){
            if(p==s[i])
                p++;
            else
                j--;
            if(j==-1)
                break;
        }
        if(j==0)
            cout<<"1";
        else
            cout<<"0";
    }
    return 0;
}